"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocumentClassesSummary = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactBootstrap = require("react-bootstrap");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
var DocumentClassesSummary = function DocumentClassesSummary(_ref) {
  var totalDocumentCount = _ref.totalDocumentCount,
    perDocumentCount = _ref.perDocumentCount,
    onDocumentClick = _ref.onDocumentClick;
  var clickDocument = function clickDocument(type) {
    if (onDocumentClick) onDocumentClick(type);
  };
  var DocumentStats = function DocumentStats(_ref2) {
    var dataProvider = _ref2.dataProvider;
    var dataKey = Object.keys(dataProvider);
    return dataKey.map(function (type) {
      var val = dataProvider[type]["@value"];
      return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Col, {
        key: type + "___doc_status",
        md: 4,
        className: "py-2 doc-summary-card"
      }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
        id: type,
        className: "bg-transparent border-0 p-0 w-100",
        onClick: function onClick(e) {
          return clickDocument(type);
        }
      }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card, {
        bg: "dark",
        style: {
          maxHeight: "220px",
          cursor: "pointer"
        }
      }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card.Header, {
        className: "bg-transparent border-0 d-flex text-wrap"
      }, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", {
        className: "hstack gap-3 minBreakpoint-xs"
      }, /*#__PURE__*/_react["default"].createElement("h6", {
        className: "fw-bold text-muted text-left"
      }, type), /*#__PURE__*/_react["default"].createElement("h6", {
        className: "text-muted ms-auto text-right"
      }, val, "/", totalDocumentCount)))), /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card.Body, null, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Row, {
        className: "ml-3"
      }, /*#__PURE__*/_react["default"].createElement("h1", null, val))), /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Card.Footer, {
        className: "d-flex"
      }, /*#__PURE__*/_react["default"].createElement("small", {
        className: "text-muted"
      }, "Total ".concat(totalDocumentCount))))));
    });
  };
  if (!perDocumentCount || _typeof(perDocumentCount) !== "object") return /*#__PURE__*/_react["default"].createElement("div", null);
  return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Container, null, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react["default"].createElement(DocumentStats, {
    dataProvider: perDocumentCount
  })));
};
exports.DocumentClassesSummary = DocumentClassesSummary;